SystemOrganization addCategory: #'Rizel-Tests'!

TestCase subclass: #RizelBrowserTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Tests'!

!RizelBrowserTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 1/5/2012 16:33'!
testGlobalBrowser
	"Creational test"
	|browser|
	browser := RizelGlobalBrowser new.
	browser openOn: (RizelRunnerTest env).
	
! !

!RizelBrowserTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 1/5/2012 16:33'!
testMethodBrowser
	"Creational test"
	|browser|
	browser := RizelMethodBrowser new.
	browser openOn: (RizelRunnerTest env).
	
! !

!RizelBrowserTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 1/7/2012 23:29'!
testStandarBrowser
	"Creational test"
	|browser|
	browser := RizelBrowser new.
	browser openOn: (RizelRunnerTest env).
	
! !

!RizelBrowserTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 1/8/2012 01:24'!
testStandarBrowser2
	"Creational test"
	|browser|
	browser := RizelMethodBrowser new.
	browser openOn: (RizelRunnerTest env copyWithLast: 100).
	
! !

!RizelBrowserTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 1/8/2012 02:01'!
testStandarBrowser3
	"Creational test"
	|browser|
	browser := RizelMethodBrowser new.
	browser openOn: (RizelRunnerTest env2).
	
! !

TestCase subclass: #RizelRunnerTest
	instanceVariableNames: ''
	classVariableNames: 'env env2'
	poolDictionaries: ''
	category: 'Rizel-Tests'!

!RizelRunnerTest class methodsFor: 'as yet unclassified' stamp: 'JSandova 12/27/2011 18:07'!
env
	^ env.! !

!RizelRunnerTest class methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 1/8/2012 01:33'!
env2
	^ env2.! !

!RizelRunnerTest class methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 1/8/2012 01:33'!
env2:  aEnv
	env2:= aEnv.! !

!RizelRunnerTest class methodsFor: 'as yet unclassified' stamp: 'JSandova 12/27/2011 18:06'!
env:  aEnv
	env:= aEnv.! !

!RizelRunnerTest methodsFor: 'as yet unclassified' stamp: 'JSandova 12/27/2011 19:31'!
historyDiagram
	| diag canvas|
	diag := ESDiagramRenderer new.
	(diag historyDiagram)
		dataset: #history;
		width: 500;
		height: 400;
		attribute: #yValue;
		regularAxis;
		horizontalLegend;
		color: #color;
		useColors: ESAbstractDiagram lightColors;
		models: self projects.
	diag interaction 
		strongHighlightWhenOver.
	canvas := diag open.
	canvas delete.! !

!RizelRunnerTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 12/27/2011 23:24'!
mondrianDemo
	| view canvas|
	view := MOViewRenderer new.
	view nodes: Collection withAllSubclasses.
	view edgesFrom: #superclass.
	view treeLayout.
	view root applyLayout.! !

!RizelRunnerTest methodsFor: 'as yet unclassified' stamp: 'JSandova 12/27/2011 19:29'!
projects
	
	| dummies1 dummies2 dummies3 historyObject LOC1 LOC2 LOC3 combination LOC4 LOC5 LOC6 dummies4 dummies5 dummies6 |
	dummies1 := ESDummyFactory new.
	dummies2 := ESDummyFactory new.
	dummies3 := ESDummyFactory new.
	dummies4 := ESDummyFactory new.
	dummies5 := ESDummyFactory new.
	dummies6 := ESDummyFactory new.
	historyObject := ESDummyFactory new.
	LOC1 := #(1 2 3 4 5 6 7 8 10 10 10 10 10 10 10 10 7 8 10 10 10 12 13 13 14 19 10).
	LOC2 := #(13 12 11 10 10 11 12 12 12 14 9 10 11 12 11 16 15 14 13 16 15 14 10 10 15 20 30).
	LOC3 := #(16 15 14 13 12 15 15 16 18 19 18 10 11 11 12 13 14 12 10 5 3 2 1 1 0 0 0).
	LOC4 := #(1 1 1 2 3 4 4 4 4 3 4 2 3 4 3 5 8 15 19 20 14 15 18 12 14 13 14).
	LOC5 := #(13 12 11 10 10 11 16 15 14 12 10 10 12 13 14 14 19 21 22 23 24 25 35 40 45 50 60).
	LOC6 := #(1 2 3 4 2 3 3 2 2 3 2 1 2 3 4 2 1 5 6 8 10 12 13 15 12 12 12).
	dummies1 yValues: LOC1.
	dummies2 yValues: LOC2.
	dummies3 yValues: LOC3.
	dummies4 yValues: LOC4.
	dummies5 yValues: LOC5.
	dummies6 yValues: LOC6.
	combination := OrderedCollection new.
	combination add: dummies1 buildDummies.
	combination add: dummies2 buildDummies.
	combination add: dummies3 buildDummies.
	combination add: dummies4 buildDummies.
	combination add: dummies5 buildDummies.
	combination add: dummies6 buildDummies.
	historyObject colors: #('Alpha' 'Beta' 'Delta' 'Epsilon' 'Gamma' 'Zeta').
	historyObject histories: combination.
	^historyObject buildDummies! !

!RizelRunnerTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 1/1/2012 18:06'!
testBasic
	|rep versions v80 runner prof|
	rep := MCHttpRepository location:'http://www.squeaksource.com/EyeSee'  user: '' password: ''.
	versions := ( (rep versionNamesBetween: 80 and: 85 every: 1) select:[:each | '*Core*' match: each]).
	v80 := versions first.
	runner := RizelVersionRunner repository: rep version: v80.
	prof := runner profile: [ ESExamples new historyDiagram3. ].
	prof inspect.! !

!RizelRunnerTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 1/6/2012 18:18'!
testEnviroment
	| versions env|
	versions := OrderedCollection new.
	versions add: ((Smalltalk at: #ConfigurationOfMondrian) project version: '2.9'); 
 			 add: ((Smalltalk at: #ConfigurationOfMondrian) project version: '2.1.2');
 			 add: ((Smalltalk at: #ConfigurationOfMondrian) project lastVersion).
	
	env := RizelEnviroment new.
	RizelRunnerTest env: env.
	versions do: [:version | 
			| runner rv|
			runner := RizelCompteurRunner new.
			runner	regexExp: 'Mondrian-*';
					configName: 'ConfigurationOfMondrian';
					configuration: version;
					projectName: 'Mondrian';
					version: version.
			"Transcript show:version."
			rv := runner profile: [ [ self mondrianDemo.] on: Error do:[  Transcript show:'Error'.]  ].
			env addVersion: rv ].
	^ env! !

!RizelRunnerTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 1/8/2012 00:05'!
testEnviroment2
	| versions env|
	versions := ((Smalltalk at: #ConfigurationOfMondrian) project versions) last: 100.
	
	env := RizelEnviroment new.
	RizelRunnerTest env: env.
	versions do: [:version | 
			| runner rv|
			[
			runner := RizelCompteurRunner new.
			runner	regexExp: 'Mondrian-*';
					configName: 'ConfigurationOfMondrian';
					configuration: version;
					projectName: 'Mondrian';
					version: version.
			"Transcript show:version."
			rv := runner profile: [ [ self mondrianDemo.] on: Error do:[  Transcript show:'Error'.]  ].
			env addVersion: rv.] on: Error do:[ Transcript show: '------Error-----';cr.]. ].
	^ env! !

!RizelRunnerTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 1/8/2012 01:39'!
testEnviroment3
	| versions env|
	versions := ((Smalltalk at: #ConfigurationOfMerlin) project versions).
	
	env := RizelEnviroment new.
	RizelRunnerTest env2: env.
	versions do: [:version | 
			| runner rv|
			[
			runner := RizelCompteurRunner new.
			runner	regexExp: 'Merlin-*';
					configName: 'ConfigurationOfMerlin';
					configuration: version;
					projectName: 'Merlin';
					version: version.
			"Transcript show:version."
			rv := runner profile: [ [ MerlinExamples usingCallbackAndRefresh.] on: Error do:[  Transcript show:'Error'.]  ].
			env addVersion: rv.] on: Error do:[ Transcript show: '------Error-----';cr.]. ].
	^ env! !

!RizelRunnerTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalAlcocer 1/6/2012 18:24'!
testEnviromentHapao
	| versions env|
	versions := OrderedCollection new.
	versions add: ((Smalltalk at: #ConfigurationOfMondrian) project version: '2.9'); 
 			 add: ((Smalltalk at: #ConfigurationOfMondrian) project version: '2.1.2');
 			 add: ((Smalltalk at: #ConfigurationOfMondrian) project lastVersion).
	
	env := RizelEnviroment new.
	RizelRunnerTest env: env.
	versions do: [:version | 
			| runner rv|
			runner := RizelHapaoRunner new.
			runner	regexExp: 'Mondrian-*';
					configName: 'ConfigurationOfMondrian';
					configuration: version;
					projectName: 'Mondrian';
					version: version.
			"Transcript show:version."
			rv := runner profile: [ [ self mondrianDemo.] on: Error do:[  Transcript show:'Error'.]  ].
			env addVersion: rv ].
	^ env! !
